//  ______ __  __  ____       _ _____    _____ _    _          _____  ______ _____  
// |  ____|  \/  |/ __ \     | |_   _|  / ____| |  | |   /\   |  __ \|  ____|  __ \ 
// | |__  | \  / | |  | |    | | | |   | (___ | |__| |  /  \  | |  | | |__  | |__) |
// |  __| | |\/| | |  | |_   | | | |    \___ \|  __  | / /\ \ | |  | |  __| |  _  / 
// | |____| |  | | |__| | |__| |_| |_   ____) | |  | |/ ____ \| |__| | |____| | \ \ 
// |______|_|  |_|\____/ \____/|_____| |_____/|_|  |_/_/    \_\_____/|______|_|  \_\
// | |           | ____|                | |    | |                                  
// | |__  _   _  | |____      _____  ___| |_ __| | _____   __                       
// | '_ \| | | | |___ \ \ /\ / / _ \/ _ \ __/ _` |/ _ \ \ / /                       
// | |_) | |_| |  ___) \ V  V /  __/  __/ || (_| |  __/\ V /                        
// |_.__/ \__, | |____/ \_/\_/ \___|\___|\__\__,_|\___| \_/                         
//         __/ |                                                                    
//        |___/                                                                     
//
//                                        
// Feel free to change shader parameters

#version 130
#extension GL_ARB_explicit_attrib_location : enable

// Do not remove this uniforms
uniform float far;
uniform float near;
uniform float viewWidth;
uniform float viewHeight;

uniform sampler2D colortex0;

#include "/lib/settings.glsl"
#include "/lib/functions.glsl"

in vec2 texcoord;

/* DRAWBUFFERS:0 */
out vec4 colortex0Out;

void main() {
	vec3 color = texture(colortex0, texcoord).rgb;

	colortex0Out = vec4(color.rgb , 1.0);
}